bug-ncurses
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Unable to build ncurses 6.0 with PGI 16.5


From: Thomas Dickey
Subject: Re: Unable to build ncurses 6.0 with PGI 16.5
Date: Mon, 6 Feb 2017 21:20:23 -0500
User-agent: Mutt/1.5.21 (2010-09-15)

On Mon, Feb 06, 2017 at 10:27:29PM +0000, Stewart, Adam James wrote:
> Hi,
> 
> I'm trying to build ncurses 6.0 with the PGI 16.5 compiler but it crashes 
> during `make` with the following error message:
> 
> PGC-S-0239-Unmatched #else (../ncurses/expanded.c: 61)
> PGC-S-0240-Unmatched #endif (../ncurses/expanded.c: 63)
> PGC/x86-64 Linux 16.5-0: compilation completed with severe errors
> make[1]: *** [../obj_s/expanded.o] Error 2
> 
> The preprocessors from this file look like:
> 
> $ grep -n '^#' ncurses/expanded.c
> 2:#define NEED_NCURSES_CH_T 1
> 3:#include <curses.priv.h>
> 5:#ifndef CUR
> 6:#define CUR SP_TERMTYPE
> 7:#endif
> 9:#if NCURSES_EXPANDED
> 15:# 17 "gen81197.c"
> 21:# 23 "gen81197.c"
> 27:# 29 "gen81197.c"
> 33:# 35 "gen81197.c"
> 38:# 38 "gen81197.c"
> 41:# 41 "gen81197.c"
> 42:# if_NCURSES_SP_FUNCS
> 48:# 48 "gen81197.c"
> 54:# 54 "gen81197.c"
> 60:# endif
> 61:#else /* ! NCURSES_EXPANDED */
> 63:#endif /* NCURSES_EXPANDED */
> 
> I can provide you with the entire file or any config logs if you want.

That expanded.c isn't much use.  When I debug this part, I modify
the script that generates it, e.g.,

diff -u -r1.56 ncurses/base/MKlib_gen.sh
--- ncurses/base/MKlib_gen.sh   2017/01/07 16:02:47     1.56
+++ ncurses/base/MKlib_gen.sh   2017/02/07 02:18:25
@@ -83,7 +83,7 @@
        fi
 fi
 
-PID=$$
+PID=PID
 ED1=sed1_${PID}.sed
 ED2=sed2_${PID}.sed
 ED3=sed3_${PID}.sed
@@ -91,7 +91,7 @@
 AW1=awk1_${PID}.awk
 AW2=awk2_${PID}.awk
 TMP=gen__${PID}.c
-trap "rm -f $ED1 $ED2 $ED3 $ED4 $AW1 $AW2 $TMP" 0 1 2 5 15
+# trap "rm -f $ED1 $ED2 $ED3 $ED4 $AW1 $AW2 $TMP" 0 1 2 5 15
 
 ALL=$USE
 if test "$USE" = implemented ; then

and examine the generated files (the *PID* in the ncurses directory).

-- 
Thomas E. Dickey <address@hidden>
http://invisible-island.net
ftp://invisible-island.net

Attachment: signature.asc
Description: Digital signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]